> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Homeadvisor Reviews

> This endpoint is used to fetch reviews from Homeadvisor Profile Page.



## OpenAPI

````yaml POST /homeadvisor/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /homeadvisor/reviews:
    post:
      description: This endpoint is used to fetch reviews from Homeadvisor Profile Page.
      requestBody:
        description: Homeadvisor review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HomeadvisorReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HomeadvisorReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    HomeadvisorReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Homeadvisor Profile Page URL or identifier
        is_text_formatted:
          type: boolean
          description: Controls text formatting in output
          default: true
        reviews_to_fetch:
          type:
            - number
            - 'null'
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        sync_date:
          type:
            - string
            - 'null'
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
        sort_type:
          type:
            - string
            - 'null'
          description: Sorting option
        pagination_data:
          type:
            - object
            - 'null'
          description: Pagination metadata
    HomeadvisorReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              query:
                type: string
                description: Original query URL
              author_name:
                type:
                  - string
                  - 'null'
                description: Name of the review author
              review_text:
                type:
                  - string
                  - 'null'
                description: Content of the review
              author_company:
                type:
                  - string
                  - 'null'
                description: Company of the review author
              author_frist_name:
                type:
                  - string
                  - 'null'
                description: First name of the author
              author_last_name:
                type:
                  - string
                  - 'null'
                description: Last name of the author
              review_id:
                type:
                  - string
                  - number
                  - 'null'
                description: Review Identifier
              review_rating:
                type:
                  - number
                  - 'null'
                description: Rating given in the review
              review_language:
                type:
                  - string
                  - 'null'
                description: Review language
              review_title:
                type:
                  - string
                  - 'null'
                description: Title of the review
              is_recommended:
                type:
                  - boolean
                  - 'null'
                description: Whether the review is verified
              author_state:
                type:
                  - string
                  - 'null'
                description: State
              review_stats:
                type: object
                properties:
                  overall_score:
                    type: number
                    description: Rating given in the review
                  value_score:
                    type: number
                    description: Rating given in the review
                  service_score:
                    type: number
                    description: Rating given in the review
                  quality_score:
                    type: number
                    description: Rating given in the review
              author_city:
                type:
                  - string
                  - 'null'
                description: City
              is_neighbor_recommended:
                type:
                  - boolean
                  - 'null'
                description: Neighbor recommended flag
              review_update_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              review_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              author_id:
                type:
                  - string
                  - number
                  - 'null'
                description: Identifier of the author
              helpful_vote_count:
                type: number
                description: Number of upvotes
              feedback_vote_count:
                type: number
                description: Number of downvotes
              review_created_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              work_duration:
                type:
                  - number
                  - string
                  - 'null'
                description: Work duration
              review_link:
                type:
                  - string
                  - 'null'
                description: URL to the original review
              review_reply:
                type: object
                properties:
                  reply_date:
                    type:
                      - string
                      - 'null'
                    description: Date when the review was posted
                  reply_id:
                    type:
                      - string
                      - number
                      - 'null'
                    description: Reply Identifier
                  reply_text:
                    type:
                      - string
                      - 'null'
                    description: Content of the review
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the entity
            pagination_token:
              type:
                - string
                - 'null'
              description: Token for fetching the next page of reviews
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````